import {newSpecPage} from '@stencil/core/testing';
import {HyKeyFigure} from '../hy-key-figure';

describe('hy-key-figure', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [HyKeyFigure],
      html: `<hy-key-figure></hy-key-figure>`
    });
    expect(page.root).toEqualHtml(`
      <hy-key-figure>
        <mock:shadow-root>
          <div class="big hy-key-figure">
            <div class="hy-key-figure__title"></div>
            <div class="hy-key-figure__description"></div>
          </div>
        </mock:shadow-root>
      </hy-key-figure>
    `);
  });
});
