import {Component, Host, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-filter-visibility-tool',
  styleUrl: 'hy-filter-visibility-tool.scss',
  shadow: false,
})
export class HyFilterVisibilityTool {
  @Prop() filterVisibilityToolType: 'toggle' | 'reset';

  render() {
    switch (this.filterVisibilityToolType) {
      case 'toggle':
        return (
          <Host>
            <hy-filter-visibility-tool-toggle />
          </Host>
        );

      case 'reset':
        return (
          <Host>
            <hy-filter-visibility-tool-reset />
          </Host>
        );
    }
  }
}
